petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESGetObjective

Returns the objective function.

### Synopsis

    PetscErrorCode SNESGetObjective(SNES snes,PetscErrorCode (**obj)(SNES,Vec,PetscReal*,void*),void **ctx)

Not Collective Many br

### Input Parameter

snes -the SNES context Many br

### Output Parameter

| obj | - objective evaluation routine (or NULL); see SNESObjectFunction for details Many br
| ctx | - the function context (or NULL) Many br

Many br

### Keywords

SNES, nonlinear, get, objective

### See Also

SNESSetObjective(), SNESGetSolution()

Level:advanced
Location:src/snes/interface/snesob.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages